import 'package:flutter/material.dart';
import 'package:perforated_bottom_navigation_bar/perforated_bottom_navigation_bar.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  Widget build(BuildContext context) {
    return PerforatedBottomNavigationBar(
      appBarTitles: [
        Text('setting Title' ,style: TextStyle(color: Colors.blue),),
        Text('person Title',style: TextStyle(color: Colors.blue),),
        Text('home Title',style: TextStyle(color: Colors.blue),),
        Text('phone Title',style: TextStyle(color: Colors.blue),),
        Text('location Title',style: TextStyle(color: Colors.blue),),
      ],
      body: [
        Center(child: Text('setting')),
        Center(child: Text('person')),
        Center(child: Text('home')),
        Center(child: Text('phone')),
        Center(child: Text('location')),
      ],
      icons: [
        Icons.settings,
        Icons.person,
        Icons.home,
        Icons.phone,
        Icons.location_on,
      ],
      iconsTooltips: [
        'setting',
        'person',
        'home',
        'phone',
        'location',
      ],
      initialIndex: 2,
      iconColor: Colors.green,
      selectedIconColor: Colors.blue,
      bottomBackgroundColor: Colors.indigo,
    );
  }
}
