import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:perforated_bottom_navigation_bar/perforated_bottom_navigation_bar.dart';

void main() {
  const MethodChannel channel = MethodChannel('perforated_bottom_navigation_bar');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await PerforatedBottomNavigationBar.platformVersion, '42');
  });
}
